View Issue Details

IDProjectCategoryView StatusLast Update
0002302SymmetricDSBugpublic2015-05-28 07:58
Reporterghosh11@avaya.comAssigned Tochenson 
PriorityhighSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.4.9 
Target Version3.7.18Fixed in Version3.7.18 
Summary0002302: AckUriHandler has an incorrect Comparator code
DescriptionAckUriHandler uses a comparator to sort the batch IDs in an ACK message in the ascending order. However, the comparator code uses the same BatchAck object to retrieve both batch IDs for comparison.

This affects all versions of Symmetric. The code below is from the trunk:
http://svn.code.sf.net/p/symmetricds/code/trunk/symmetric-server/src/main/java/org/jumpmind/symmetric/web/AckUriHandler.java

private static class BatchIdComparator implements Comparator<BatchInfo> {
        public int compare(BatchInfo batchInfo1, BatchInfo batchInfo2) {
            Long batchId1 = batchInfo1.getBatchId();
            Long batchId2 = batchInfo1.getBatchId();
            return batchId1.compareTo(batchId2);
        }
    }
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master d1b0f1a4

2015-05-19 12:26:37

chenson

Details Diff
0002302: AckUriHandler has an incorrect Comparator code
0002302
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/AckUriHandler.java Diff File

Issue History

Date Modified Username Field Change
2015-05-19 11:52 ghosh11@avaya.com New Issue
2015-05-19 12:27 chenson Target Version => 3.7.18
2015-05-19 12:27 chenson Status new => resolved
2015-05-19 12:27 chenson Fixed in Version => 3.7.18
2015-05-19 12:27 chenson Resolution open => fixed
2015-05-19 12:27 chenson Assigned To => chenson
2015-05-19 13:00 chenson Changeset attached => SymmetricDS trunk r9482
2015-05-28 07:58 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master d1b0f1a4